MyGUI: MyGUI::LogManager Class Reference

MyGUI 3.4.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions
MyGUI::LogManager Class Reference

`#include <MyGUI_LogManager.h>`

## Public Member Functions
| LogManager ()
| ~LogManager ()
void | flush ()
void | log (const std::string &_section, LogLevel _level, const std::string &_message, const char *_file, int _line)
void | createDefaultSource (const std::string &_logname)
void | setSTDOutputEnabled (bool _value)
bool | getSTDOutputEnabled () const
void | setLoggingLevel (LogLevel _value)
LogLevel | getLoggingLevel () const
void | addLogSource (LogSource *_source)

## Static Public Member Functions
static LogManager & | getInstance ()
static LogManager * | getInstancePtr ()

## Detailed Description

Definition at line 26 of file MyGUI_LogManager.h.

## Constructor & Destructor Documentation

## ◆ LogManager()

MyGUI::LogManager::LogManager | ( |  | ) |

Definition at line 19 of file MyGUI_LogManager.cpp.

## ◆ ~LogManager()

MyGUI::LogManager::~LogManager | ( |  | ) |

Definition at line 30 of file MyGUI_LogManager.cpp.

## Member Function Documentation

## ◆ addLogSource()

void MyGUI::LogManager::addLogSource | ( | LogSource * | _source | ) |

Add log source.

Definition at line 81 of file MyGUI_LogManager.cpp.

## ◆ createDefaultSource()

void MyGUI::LogManager::createDefaultSource | ( | const std::string & | _logname | ) |

Create default LevelLogFilter, FileLogListener and ConsoleLogListener.

Definition at line 86 of file MyGUI_LogManager.cpp.

## ◆ flush()

void MyGUI::LogManager::flush | ( |  | ) |

Call LogSource::flush() for all log sources.

Definition at line 58 of file MyGUI_LogManager.cpp.

## ◆ getInstance()

LogManager & MyGUI::LogManager::getInstance | ( |  | ) |
| static

Definition at line 47 of file MyGUI_LogManager.cpp.

## ◆ getInstancePtr()

LogManager * MyGUI::LogManager::getInstancePtr | ( |  | ) |
| static

Definition at line 53 of file MyGUI_LogManager.cpp.

## ◆ getLoggingLevel()

LogLevel MyGUI::LogManager::getLoggingLevel | ( |  | ) | const

Get default LevelLogFilter level.

Definition at line 130 of file MyGUI_LogManager.cpp.

## ◆ getSTDOutputEnabled()

bool MyGUI::LogManager::getSTDOutputEnabled | ( |  | ) | const

Is disable ConsoleLogListener enabled.

Definition at line 117 of file MyGUI_LogManager.cpp.

## ◆ log()

void MyGUI::LogManager::log | ( | const std::string & | _section,
|  | LogLevel | _level,
|  | const std::string & | _message,
|  | const char * | _file,
|  | int | _line )

Call LogSource::log for all log sources.

Definition at line 64 of file MyGUI_LogManager.cpp.

## ◆ setLoggingLevel()

void MyGUI::LogManager::setLoggingLevel | ( | LogLevel | _value | ) |

Set default LevelLogFilter level.

Definition at line 122 of file MyGUI_LogManager.cpp.

## ◆ setSTDOutputEnabled()

void MyGUI::LogManager::setSTDOutputEnabled | ( | bool | _value | ) |

Enable or disable default ConsoleLogListener that writes log into std::cout.
Enabled (true) by default.

Definition at line 109 of file MyGUI_LogManager.cpp.

The documentation for this class was generated from the following files:

- MyGUI_LogManager.h
- MyGUI_LogManager.cpp